<?php
include "daemon/master.php" ;
include "daemon/drivers.php" ;
include "daemon/functions.php" ;

// get name from post data
$keys_list = array(
  "201709", "201715", "201700", "201706", "201716", "201722",
  "201703", "201735", "201705", "201733", "201710", "201720",
  "201701", "201723", "201707", "201714", "201702", "201734",
  "201718", "201731",
  "198023", "198001", "198016", "198068", "198002", "198003",
  "198024", "198004", "198020", "198006", "198009", "198018",
  "198022", "198010", "198008", "198014", "198031", "198007",
  "198000", "198005", "198015", "198032", "198033", "198034",
) ;
$reset = getData( $_POST, "reset", DATA_NUM, 1, 1, 0 ) ;
$post = getData( $_POST, "post", DATA_NUM, 1, 1, 0 ) ;
$switch = getData( $_POST, "switch", DATA_NUM, 1, 1, 0 ) ;
$dm = getData( $_POST, "dm", DATA_NUM, 1, 1, 0 ) ;
$ch = getData( $_POST, "ch", DATA_NUM, 1, 4, 0 ) ;

if( $post == 1 ) {
  $name_list = array() ;
  foreach( $keys_list as $key ) {
    $name = getData( $_POST, $key, DATA_AL + DATA_NUM, 3, 3 ) ;
    if( strlen($name) == 3 && $reset == 0 ) {
      $name_list[$key] = $name ;
    } else {
      $name_list[$key] = $DRIVERS[$key][1] ;
    }
  }

  ob_start() ;
  echo "<?php\n" ;
  echo "global \$DRIVERS_CUSTOM, \$USE_DRIVERS_CUSTOM, \$USE_CHANNEL, \$DEBUG_MODE ; \n" ;
  echo "\$DEBUG_MODE = $dm ;\n" ;
  echo "\$USE_DRIVERS_CUSTOM = $switch ;\n" ;
  echo "\$USE_CHANNEL = $ch ;\n" ;
  echo "\$DRIVERS_CUSTOM = array(\n" ;
  foreach( $name_list as $key => $name ) {
    echo "  $key => array( \"\", \"$name\" ),\n" ;
  }
  echo ");\n" ;
  echo "?>\n" ;
  $data = ob_get_contents() ;
  ob_end_clean() ;

  // write
  $ret = file_put_contents( "daemon/drivers_custom.php", $data, LOCK_EX ) ;
}

// read
$fp = fopen( "daemon/drivers_custom.php", "r" ) ;
flock( $fp, LOCK_SH ) ;
include "daemon/drivers_custom.php" ;
flock( $fp, LOCK_UN ) ;
fclose( $fp ) ;

$udc_checked = "" ;
if( $USE_DRIVERS_CUSTOM == 1 ) {
  $udc_checked = "checked" ;
}
$dm_checked = "" ;
if( $DEBUG_MODE == 1 ) {
  $dm_checked = "checked" ;
}
$ch = "" ;
if( $USE_CHANNEL > 0 ) {
  $ch = $USE_CHANNEL ;
}
?>
<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Cache-Control" content="no-store">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Expires" content="-1">
  <link rel="stylesheet" type="text/css" href="common.css">
  <title>Driver Settings - <?php echo PGNAME; ?></title>
</head>
<body>
  </form>
  <form method="post" action="settings.php">
    <input type="hidden" name="post" value="1">
    <table border="1">
      <tr>
        <td width="350">
          <input type="checkbox" name="switch" value="1" <?php echo $udc_checked ; ?>>Use Custom / ch:
          <input type="text" name="ch" size="4" maxlength="4" value="<?php echo $ch ; ?>">
        </td>
        <td width="150"><input type="checkbox" name="dm" value="1" <?php echo $dm_checked ; ?>>Debug Mode</td>
        <td width="150"><input type="checkbox" name="reset" value="1">Reset</td>
        <td><input type="submit" value="Save"></td>
      </tr>
    </table>
    <hr />
<?php
foreach( $DRIVERS as $idx => $data ) {
?>
    <table border="1">
<?php
  $custom = $DRIVERS_CUSTOM[$idx][1] ;
  $era = substr( $idx, 0, 4 ) ;
  $team = getArray( $data, '2', 99 ) ;
?>
      <tr align="left">
        <td width="50"><?php echo $era ; ?></td>
        <td width="200" class="team<?php echo $team; ?>_<?php echo $era; ?>"><?php echo $data[0] ; ?></td>
        <td width="50" class="team<?php echo $team; ?>_<?php echo $era; ?>"><?php echo $data[1] ; ?></td>
        <td><input type="text" name="<?php echo $idx; ?>" size="5" maxlength="3" value="<?php echo $custom; ?>"></td>
      </tr>
<?php
}
?>
    </table>
    <br />
  </form>
</body>
</html>
